<div id="products" class="page-layout carded fullwidth" fusePerfectScrollbar>

  <!-- TOP BACKGROUND -->
  <div class="top-bg {{secondColorBrand}}"></div>
  <!-- / TOP BACKGROUND -->

  <!-- CENTER -->
  <div class="center">

    <!-- HEADER -->
    <div class="header white-fg" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-xs="row"
      fxLayoutAlign.gt-xs="space-between center">

      <!-- APP TITLE -->
      <div class="logo my-12 m-sm-0" fxLayout="row" fxLayoutAlign="start center">
        <mat-icon class="logo-icon mr-16" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">security</mat-icon>
        <span class="logo-text h1" *fuseIfOnDom [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">Permissões</span>
      </div>
      <!-- / APP TITLE -->

      <!-- SEARCH -->
      <div class="search-input-wrapper mx-12 m-md-0" fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="start center">
        <label for="search" class="mr-8">
          <mat-icon class="secondary-text">search</mat-icon>
        </label>
        <mat-form-field floatPlaceholder="never" fxFlex="1 0 auto">
          <input matInput id="search" #filter (keyup)='searchOnChange($event)' placeholder="Filtrar">
        </mat-form-field>
      </div>
      <!-- / SEARCH -->
      <div class="search-input-wrapper mx-6 m-md-0" fxFlex="1 0 auto" fxLayout="row" fxLayoutAlign="end center">
        <form [formGroup]="searchForm" novalidate fxFlex="100" fxLayoutAlign="end center" fxLayoutGap="10px">

          <mat-form-field fxFlex="50">
            <mat-select placeholder="Marca" formControlName="brand" (selectionChange)="onListValueChanged()">
              <mat-option *ngFor="let brand of brandList" [value]="brand.id">
                {{ brand.name }}
              </mat-option>
            </mat-select>
          </mat-form-field>

        </form>
      </div>
    </div>
    <!-- / HEADER -->

    <!-- CONTENT CARD -->
    <div class="content-card mat-white-bg">

      <mat-table #table [dataSource]="dataSource" [@animateStagger]="{value:'50'}" fusePerfectScrollbar matSort
        matSortActive="companyName" matSortDirection="asc" matSortDisableClear>

        <ng-container cdkColumnDef="companyName">
          <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Tipo</mat-header-cell>
          <mat-cell *cdkCellDef="let element">
            <p class="text-truncate">{{element.companyName}}</p>
          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="email">
          <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">Nome</mat-header-cell>
          <mat-cell *cdkCellDef="let element">
            <p class="text-truncate">{{element.email}}</p>
          </mat-cell>
        </ng-container>

        <!-- <ng-container cdkColumnDef="registrationNumber">
              <mat-header-cell *cdkHeaderCellDef mat-sort-header class="white-fg">CPF/CNPJ</mat-header-cell>
              <mat-cell *cdkCellDef="let element">
                  <p class="text-truncate">{{element.registrationNumber}}</p>
              </mat-cell>
            </ng-container> -->

        <ng-container cdkColumnDef="edit">
          <mat-header-cell *cdkHeaderCellDef fxFlex="48px" class="white-fg">Editar</mat-header-cell>
          <mat-cell *cdkCellDef="let row" fxFlex="48px">
            <!-- <button mat-icon-button class="sidebar-toggle" 
                              (click)="editSupplierDialog(row)">
                          <mat-icon  class="secondary-text">mode_edit</mat-icon>
                      </button> -->
          </mat-cell>
        </ng-container>

        <ng-container cdkColumnDef="delete">
          <mat-header-cell *cdkHeaderCellDef fxFlex="48px" class="white-fg">Excluir</mat-header-cell>
          <mat-cell *cdkCellDef="let row" fxFlex="48px">
            <!-- <button mat-icon-button class="sidebar-toggle" 
                              (click)="deleteSupplierDialog(row)">
                          <mat-icon  class="secondary-text">delete</mat-icon>
                      </button> -->
          </mat-cell>
        </ng-container>

        <mat-header-row *cdkHeaderRowDef="displayedColumns" [ngClass]="primaryColorBrand"></mat-header-row>

        <mat-row *cdkRowDef="let row; columns: displayedColumns;" [ngClass]="{'mat-accent-50-bg':row == selected}"
          matRipple [@animate]="{value:'*',params:{y:'100%'}}" matRipple>
        </mat-row>

      </mat-table>

      <mat-paginator [length]="resultLength" [pageSize]="10" [pageSizeOptions]="[10, 25, 50]"></mat-paginator>

    </div>
    <!-- / CONTENT CARD -->
  </div>
  <!-- / CENTER -->
</div>
